fabric-1.0

circle-info

This documentation is valid for the following list of our models:

  • veed/fabric-1.0

This is an image-to-video model that transforms any image into a realistic talking video.

Setup your API Key

If you don’t have an API key for the AI/ML API yet, feel free to use our Quickstart guidearrow-up-right.

How to Make a Call

chevron-rightStep-by-Step Instructionshashtag

Generating a video using this model involves sequentially calling two endpoints:

  • The first one is for creating and sending a video generation task to the server (returns a generation ID).

  • The second one is for requesting the generated video from the server using the generation ID received from the first endpoint.

Below, you can find both corresponding API schemas.

API Schemas

Create a video generation task and send it to the server

You can generate a video using this API. In the basic setup, you only need a prompt. This endpoint creates and sends a video generation task to the server — and returns a generation ID.

post
Body
modelstring · enumRequiredPossible values:
image_urlstring · uriRequired

A direct link to an online image or a Base64-encoded local image that will serve as the visual base or the first frame for the video.

audio_urlstring · uriRequired

The URL of the audio file for lip-sync animation. The model detects spoken parts and syncs the character's mouth to them. Audio must be under 30s long.

resolutionstring · enumOptional

The resolution of the generated video.

Default: 480pPossible values:
Responses
chevron-right
200Success
application/json
post
/v2/video/generations
200Success

Retrieve the generated video from the server

After sending a request for video generation, this task is added to the queue. This endpoint lets you check the status of a video generation task using its id, obtained from the endpoint described above. If the video generation task status is completed, the response will include the final result — with the generated video URL and additional metadata.

get
Authorizations
AuthorizationstringRequired

Bearer key

Query parameters
generation_idstringRequiredExample: <REPLACE_WITH_YOUR_GENERATION_ID>
Responses
chevron-right
200Success
application/json
get
/v2/video/generations
200Success

Full Example: Generating and Retrieving the Video From the Server

The code below creates a video generation task, then automatically polls the server every 10 seconds until it finally receives the video URL.

circle-info

Generation takes about 1 minute 25 seconds for a 5-second 480p video and around 1 minute 55 seconds for 720p.

chevron-rightResponsehashtag

Processing time: ~1 min 50 sec.

Last updated

Was this helpful?